#
# spec file for package vdr-plugin-xvdr
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define pluginname xvdr
%define pluginconfdir %{vdr_sysconfdir}/plugins/%{pluginname}

Name:           vdr-plugin-%{pluginname}
Version:        0.9.9+git20150105
Release:        lp150.2.2
Summary:        VDR plugin to handle XBMC clients
License:        GPL-2.0
Group:          Hardware/TV
Url:            https://github.com/pipelka/vdr-plugin-xvdr
# https://github.com/pipelka/vdr-plugin-xvdr/archive/master.zip
Source0:        vdr-plugin-xvdr-20150105.zip
Patch1:         buffer.patch
Patch2:         xvdr-gcc6.patch
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
BuildRequires:  zlib-devel
BuildRequires:  unzip
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VDR plugin to handle XBMC clients.
The vdr-plugin-xvdr is able to handle several XBMC clients connecting via the XVDR addon.

%prep
%setup -q -n %{name}-master
%patch1 -p1
%patch2 -p1

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -d -m 755 %{buildroot}%{pluginconfdir}
ln -s %{vdr_sysconfdir}/svdrphosts.conf %{buildroot}%{pluginconfdir}/allowed_hosts.conf

%files
%defattr(-,root,root)
%{_libdir}/vdr/*
%{vdr_dirs}
%doc COPYING HISTORY README
%attr(755,vdr,root) %dir %{vdr_sysconfdir}/plugins
%attr(755,vdr,root) %dir %{pluginconfdir}
%{pluginconfdir}/allowed_hosts.conf
/usr/share/vdr/locale/*/LC_MESSAGES/vdr-xvdr.mo

%changelog
* Fri Jun 17 2016 seife+obs@b1-systems.com
- add xvdr-gcc6.patch to fix build with GCC 6
* Wed Mar  4 2015 seife+obs@b1-systems.com
- update to git version as of 2015-01-05
- this fixed build with VDR 2.2
* Sun Mar 30 2014 seife+obs@b1-systems.com
- fix plugin config dir
- remove vdrapi from package version
- use PreReq vdr_prereq macro instead of vdrapi requires
- run spec-cleaner
* Sat Mar 29 2014 seife+obs@b1-systems.com
- use plain make instead of baroque vdr_plugin_* macros
* Sat Dec 28 2013 thomas-wagner@gmx.at
- added default allow_host.conf  by linking to svdrphosts.conf
* Sun Dec 15 2013 thomas-wagner@gmx.at
- update to xvdr 0.9.9
- fixed build error
* Wed May  9 2012 wittemar@googlemail.com
- first release
